ReactionRunner.h File Reference
`#include <GraphMol/ChemReactions/Reaction.h>`
`#include <GraphMol/ROMol.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::ReactionRunnerUtils

## Functions

std::vector< MOL_SPTR_VECT > | RDKit::run_Reactants (const ChemicalReaction &rxn, const MOL_SPTR_VECT &reactants)
| Runs the reaction on a set of reactants. More...
std::vector< MOL_SPTR_VECT > | RDKit::run_Reactant (const ChemicalReaction &rxn, const ROMOL_SPTR &reactant, unsigned int reactantIdx)
| Runs a single reactant against a single reactant template. More...
ROMol * | RDKit::reduceProductToSideChains (const ROMOL_SPTR &product, bool addDummyAtoms=true)
| Reduce the product generated by run_Reactants or run_Reactant to. More...
MOL_SPTR_VECT | RDKit::ReactionRunnerUtils::generateOneProductSet (const ChemicalReaction &rxn, const MOL_SPTR_VECT &reactants, const std::vector< MatchVectType > &reactantsMatch)
RWMOL_SPTR | RDKit::ReactionRunnerUtils::convertTemplateToMol (const ROMOL_SPTR prodTemplateSptr)